[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStreamAdapter.Stat

Return statistical data about the stream

## Declaration

Source position: classesh.inc line 1177

`public function TStreamAdapter.Stat(`
`out statstg: TStatStg;`
`grfStatFlag: DWORD`
`):HRESULT; virtual;`

## Description

Stat implements #rtl.types.IStream.Stat.

## Errors

This function must be overridden and will raise a runerror 217 when called directly.

## See also

#rtl.types.IStream.Stat |  | return information about the stream.